Bug 1804756 - docker-registry image has ~50M of extra content due to yum cache
Summary: docker-registry image has ~50M of extra content due to yum cache
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.5.0
Assignee: Oleg Bulatov
QA Contact: Wenjing Zheng
URL:
Whiteboard:
Depends On:
Blocks: 1804493
TreeView+ depends on / blocked
 
Reported: 2020-02-19 14:56 UTC by Ben Parees
Modified: 2020-07-13 17:16 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: image-registry images contained yum caches Consequence: the image is large Fix: remove yum cache from the image Result: the image has reduced
Clone Of: 1804493
Environment:
Last Closed: 2020-07-13 17:16:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:2409 None None None 2020-07-13 17:16:36 UTC

Comment 3 XiuJuan Wang 2020-03-12 06:18:51 UTC
$oc adm release info --pullspecs registry.svc.ci.openshift.org/ocp/release:4.5.0-0.nightly-2020-03-12-013015   | grep registry 
Pull From: registry.svc.ci.openshift.org/ocp/release@sha256:e533ec7f423f762083b516bc1c072682c58c7332ca0bd501b46ebdaefa66cb09
  cluster-image-registry-operator                quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:21fb5d912373d1ee7836f8ecda055d4b81f488d5cb27c1fe822d76f4bf14cbba
  docker-registry                                quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:521f67e1dec2633b57b41f114a141811589b61f68243c5905df40815e90582f1

$docker pull quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:521f67e1dec2633b57b41f114a141811589b61f68243c5905df40815e90582f1

$docker images | grep art
quay.io/openshift-release-dev/ocp-v4.0-art-dev                                                                                   <none>              d6ffcd68b052        13 days ago         308MB

This size of docker-registry image has reduced a lot.

Comment 5 errata-xmlrpc 2020-07-13 17:16:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.